### Method

# GtkSource CompletionContext set_proposals_for_provider

#### Declaration [src]

    void
    gtk_source_completion_context_set_proposals_for_provider (
      GtkSourceCompletionContext* self,
      GtkSourceCompletionProvider* provider,
      GListModel* results
    )

#### Description [src]

This function allows providers to update their results for a context outside of a call to `gtk_source_completion_provider_populate_async()`.

This can be used to immediately return results for a provider while it does additional asynchronous work. Doing so will allow the completions to update while the operation is in progress.

#### Parameters

`provider`

  Type: `GtkSourceCompletionProvider`

  An `GtkSourceCompletionProvider`.

  The data is owned by the caller of the method.

`results`

  Type: `GObject`

  A `GListModel` or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.